$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.40-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.40-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'E9A8C6B4ECDF04E081C0FEC074956ABA3F6FF93DA966B648CE60F6C93539C521'
  checksumType = 'sha256'
  checksum64 = 'E9A8C6B4ECDF04E081C0FEC074956ABA3F6FF93DA966B648CE60F6C93539C521'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.27.40-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
